Bug 1010299 - Fatal error on the red hat subscriptions page
Fatal error on the red hat subscriptions page
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.2
Unspecified Unspecified
high Severity high (vote)
: Unspecified
: --
Assigned To: Walden Raines
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 09:15 EDT by Walden Raines
Modified: 2014-04-24 13:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:08:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Walden Raines 2013-09-20 09:15:01 EDT
Description of problem:

The subscription page never loads.  If you look in the logs you will see this:

[FATAL 2013-09-20 08:58:01 app]
 | NoMethodError (undefined method `mapping' for #<Class:0x0000000803dbc8>):
 |   app/models/glue/elastic_search/items.rb:161:in `format_sort'
 |   app/models/glue/elastic_search/items.rb:60:in `retrieve'
 |   app/models/glue/elastic_search/pool.rb:89:in `index_pools'
 |   app/models/glue/provider.rb:447:in `index_subscriptions'
 |   app/controllers/subscriptions_controller.rb:92:in `items'
 |   app/lib/util/thread_session.rb:110:in `thread_locals'
 |   config/initializers/quiet_paths.rb:11:in `call_with_quiet'
 |   lib/katello/middleware/log_request_uuid.rb:22:in `call'
 

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. Go to red hat subscriptions page
2. Note fatal error

Actual results:

Fatal error

Expected results:

No fatal error, page loads.

Additional info:
Comment 2 Walden Raines 2013-09-20 13:04:24 EDT
commit 580ab1321bd3b6235556e2c00674b6882993590d
Merge: 28385a6 aebb34e
Author: Walden Raines <walden@redhat.com>
Date:   Fri Sep 20 10:01:49 2013 -0700

    Merge pull request #3012 from waldenraines/bug-3011
    
    Bug #1010299 - define missing mapping method on Pool, fixes #3011.

commit aebb34ee8274b702531b9bb4def3352be3f46fd1
Author: Walden Raines <walden@redhat.com>
Date:   Fri Sep 20 10:31:11 2013 -0400

    Bug #1010299 - define missing mapping method on Pool, fixes #3011.
Comment 5 Og Maciel 2013-10-01 10:58:26 EDT
Verified:
* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.8.25-1.el6sam.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.8.25-1.el6sam.noarch
* candlepin-tomcat6-0.8.25-1.el6sam.noarch
* elasticsearch-0.19.9-8.el6sat.noarch
* foreman-1.3.0-10.el6sat.noarch
* foreman-compute-1.3.0-10.el6sat.noarch
* foreman-libvirt-1.3.0-10.el6sat.noarch
* foreman-postgresql-1.3.0-10.el6sat.noarch
* foreman-proxy-1.3.0-1.el6sat.noarch
* katello-1.4.6-15.el6sat.noarch
* katello-all-1.4.6-15.el6sat.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.4.4-1.el6sat.noarch
* katello-cli-1.4.3-15.el6sat.noarch
* katello-cli-common-1.4.3-15.el6sat.noarch
* katello-common-1.4.6-15.el6sat.noarch
* katello-configure-1.4.5-8.el6sat.noarch
* katello-configure-foreman-1.4.5-8.el6sat.noarch
* katello-configure-foreman-proxy-1.4.5-8.el6sat.noarch
* katello-foreman-all-1.4.6-15.el6sat.noarch
* katello-glue-candlepin-1.4.6-15.el6sat.noarch
* katello-glue-elasticsearch-1.4.6-15.el6sat.noarch
* katello-glue-pulp-1.4.6-15.el6sat.noarch
* katello-qpid-broker-key-pair-1.0-1.noarch
* katello-qpid-client-key-pair-1.0-1.noarch
* katello-selinux-1.4.4-4.el6sat.noarch
* openldap-2.4.23-31.el6.x86_64
* pulp-katello-plugins-0.2-1.el6sat.noarch
* pulp-nodes-common-2.3.0-0.14.alpha.el6sat.noarch
* pulp-nodes-parent-2.3.0-0.14.alpha.el6sat.noarch
* pulp-puppet-plugins-2.3.0-0.14.alpha.el6sat.noarch
* pulp-rpm-plugins-2.3.0-0.14.alpha.el6sat.noarch
* pulp-selinux-2.3.0-0.14.alpha.el6sat.noarch
* pulp-server-2.3.0-0.14.alpha.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.0.7-1.el6sat.noarch
* signo-0.0.20-3.el6sat.noarch
* signo-katello-0.0.20-3.el6sat.noarch
Comment 6 Bryan Kearney 2014-04-24 13:08:57 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 7 Bryan Kearney 2014-04-24 13:10:35 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.